Package org.eclipse.birt.chart.event

# Class WrappedStructureSource

java.lang.Object
org.eclipse.birt.chart.event.StructureSource
org.eclipse.birt.chart.event.WrappedStructureSource

public class WrappedStructureSource extends StructureSource
This class defines a wrapped structure source object which could have a parent source for all chart events.

## Constructor Summary

Constructors
Constructor
Description
`WrappedStructureSource(Object source)`
The constructor.
`WrappedStructureSource(Object source, StructureType type)`
The constructor.
`WrappedStructureSource(Object parentSource, StructureType parentType, Object source, StructureType type)`
The constructor.
`WrappedStructureSource(StructureSource parent, Object source, StructureType type)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`static StructureSource`
`createAxisLabel(Axis ax, Label lb)`
Creates a WrappedStructure Source for type Axis Label with an Axis parent.
`static StructureSource`
`createAxisTitle(Axis ax, Label title)`
Creates a WrappedStructure Source for type Axis Title with an Axis parent.
`static StructureSource`
`createLegendEntry(Legend lg, LegendItemHints entry)`
Creates a WrappedStructure Source for type Legend Entry with a Legend parent.
`static StructureSource`
`createLegendTitle(Legend lg, Label title)`
Creates a WrappedStructure Source for type Legend Title with a Legend parent.
`static StructureSource`
`createSeriesDataElement(Series se, DataPointHints dph)`
Creates a WrappedStructure Source for type Series Element with a Series parent.
`static StructureSource`
`createSeriesDataPoint(Series se, DataPointHints dph)`
Creates a WrappedStructure Source for type Series DataPoint with a Series parent.
`static StructureSource`
`createSeriesFittingCurve(Series se, CurveFitting cf)`
Creates a WrappedStructure Source for type Series FittingCurve with a Series parent.
`static StructureSource`
`createSeriesMarker(Series se, Marker mk)`
Creates a WrappedStructure Source for type Series Marker with a Series parent.
`static StructureSource`
`createSeriesTitle(Series se, Label title)`
Creates a WrappedStructure Source for type Series Title with a Series parent.
`StructureSource`
`getParent()`
Returns the parent object.

### Methods inherited from class org.eclipse.birt.chart.event.StructureSource

`createAxis, createChartBlock, createLegend, createMarkerLine, createMarkerRange, createPlot, createSeries, createTitle, createUnknown, getSource, getType`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrappedStructureSource

public WrappedStructureSource(Object source)
The constructor.

Parameters:
  `source` -

### WrappedStructureSource

public WrappedStructureSource(Object source, StructureType type)
The constructor.

Parameters:
  `source` -

### WrappedStructureSource

public WrappedStructureSource(StructureSource parent, Object source, StructureType type)
The constructor.

Parameters:
  `parent` -
  `source` -

### WrappedStructureSource

public WrappedStructureSource(Object parentSource, StructureType parentType, Object source, StructureType type)
The constructor.

Parameters:
  `parentSource` -
  `parentType` -
  `source` -
  `type` -

## Method Details

### getParent

public StructureSource getParent()
Returns the parent object.

Returns:

### createLegendTitle

public static StructureSource createLegendTitle(Legend lg, Label title)
Creates a WrappedStructure Source for type Legend Title with a Legend parent.

Parameters:
  `lg` -
  `title` -
Returns:

### createLegendEntry

public static StructureSource createLegendEntry(Legend lg, LegendItemHints entry)
Creates a WrappedStructure Source for type Legend Entry with a Legend parent.

Parameters:
  `lg` -
  `title` -
Returns:

### createAxisTitle

public static StructureSource createAxisTitle(Axis ax, Label title)
Creates a WrappedStructure Source for type Axis Title with an Axis parent.

Parameters:
  `ax` -
  `title` -
Returns:

### createAxisLabel

public static StructureSource createAxisLabel(Axis ax, Label lb)
Creates a WrappedStructure Source for type Axis Label with an Axis parent.

Parameters:
  `ax` -
  `title` -
Returns:

### createSeriesDataPoint

public static StructureSource createSeriesDataPoint(Series se, DataPointHints dph)
Creates a WrappedStructure Source for type Series DataPoint with a Series parent.

Parameters:
  `se` -
  `dph` -
Returns:

### createSeriesDataElement

public static StructureSource createSeriesDataElement(Series se, DataPointHints dph)
Creates a WrappedStructure Source for type Series Element with a Series parent.

Parameters:
  `se` -
  `dph` -
Returns:

### createSeriesTitle

public static StructureSource createSeriesTitle(Series se, Label title)
Creates a WrappedStructure Source for type Series Title with a Series parent.

Parameters:
  `se` -
  `title` -
Returns:

### createSeriesMarker

public static StructureSource createSeriesMarker(Series se, Marker mk)
Creates a WrappedStructure Source for type Series Marker with a Series parent.

Parameters:
  `se` -
  `dph` -
Returns:

### createSeriesFittingCurve

public static StructureSource createSeriesFittingCurve(Series se, CurveFitting cf)
Creates a WrappedStructure Source for type Series FittingCurve with a Series parent.

Parameters:
  `se` -
  `dph` -
Returns: